USE wilibgallery;


#
# Table structure for table 'wilibcomments'
#

DROP TABLE /*!32312 IF EXISTS*/ wilibcomments;
CREATE TABLE /*!32312 IF NOT EXISTS*/ wilibcomments (
  wilibcomnumber int(50) unsigned NOT NULL auto_increment,
  wilibpicturename char(255) NOT NULL DEFAULT '' ,
  wilibcomment char(255) ,
  wilibipnumber char(15) NOT NULL DEFAULT '' ,
  wilibusername char(100) NOT NULL DEFAULT '' ,
  wilibemail char(255) NOT NULL DEFAULT '' ,
  wilibpostdate char(255) NOT NULL DEFAULT '' ,
  wilibpicsize char(255) ,
  wilibcountry char(255) ,
  wilibhost char(255) ,
  PRIMARY KEY (wilibcomnumber,wilibcomnumber)
);


#
# Table structure for table 'wilibfolders'
#

DROP TABLE /*!32312 IF EXISTS*/ wilibfolders;
CREATE TABLE /*!32312 IF NOT EXISTS*/ wilibfolders (
  wilibfoldnumber int(3) unsigned NOT NULL auto_increment,
  wilibfoldpath char(255) NOT NULL DEFAULT '' ,
  wilibfoldepth char(255) ,
  wilibnumofpics int(100) unsigned ,
  PRIMARY KEY (wilibfoldnumber,wilibfoldnumber),
  UNIQUE wilibfoldpath (wilibfoldpath)
);


#
# Table structure for table 'wilibpics'
#

DROP TABLE /*!32312 IF EXISTS*/ wilibpics;
CREATE TABLE /*!32312 IF NOT EXISTS*/ wilibpics (
  wilibnumber int(10) NOT NULL auto_increment,
  wilibnameofpic char(100) NOT NULL DEFAULT '' ,
  wilibpicfilesize char(255) ,
  wilibwidth int(30) ,
  wilibpicnapath char(255) DEFAULT '0' ,
  wilibpicfoldepth int(100) unsigned ,
  wilibheight int(30) ,
  PRIMARY KEY (wilibnumber,wilibnumber),
  UNIQUE wilibpicnapath (wilibpicnapath)
);


#
# Table structure for table 'wilibviews'
#

DROP TABLE /*!32312 IF EXISTS*/ wilibviews;
CREATE TABLE /*!32312 IF NOT EXISTS*/ wilibviews (
  wilibv_number int(3) unsigned NOT NULL DEFAULT '0' ,
  wilibnameofpic char(255) ,
  wilibpicfilesize char(50) ,
  wilibnumberofviews int(255) unsigned DEFAULT '0' 
);


#
# Table structure for table 'wilibvisitors'
#

DROP TABLE /*!32312 IF EXISTS*/ wilibvisitors;
CREATE TABLE /*!32312 IF NOT EXISTS*/ wilibvisitors (
  wilibnumbering int(255) unsigned NOT NULL auto_increment,
  wilibip char(255) NOT NULL DEFAULT '' ,
  wilibdate char(255) NOT NULL DEFAULT '' ,
  wilibvisits int(255) unsigned NOT NULL DEFAULT '0' ,
  wilibhost char(255) NOT NULL DEFAULT '' ,
  wilibclicks int(255) unsigned NOT NULL DEFAULT '0' ,
  PRIMARY KEY (wilibnumbering),
  UNIQUE wilibip (wilibip)
);
